import { getWxConfig } from '@/utils/tools'
import { createRouter, createWebHistory, createWebHashHistory } from 'vue-router'

const router = createRouter({
  history: createWebHashHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      redirect: '/home'
    },
    {
      path: '/home',
      name: 'Home',
      component: () => import('@/views/Home.vue')
    },
    {
      path: '/automate',
      name: 'Automate',
      component: () => import('@/views/Automate.vue')
    },
    {
      path: '/project-info/:id',
      name: 'ProjectInfo',
      component: () => import('@/views/ProjectInfo.vue')
    },
    {
      path: '/command-info/:pid/:id',
      name: 'CommandInfo',
      component: () => import('@/views/CommandInfo.vue')
    },
    {
      path: '/runtime',
      name: 'runtime',
      component: () => import('@/views/runtime.vue')
    }
  ]
})

router.beforeEach(async (to, from, next) => {
  if (!window.isInWx) {
    next()
    return
  }
  const url = location.origin + location.pathname + location.search
  // console.log(url)
  const wxConfigStr = localStorage.getItem(url)
  if (!wxConfigStr) getWxConfig(url)
  else {
    const wxConfig = JSON.parse(wxConfigStr)
    const crtTimestamp = Date.now() / 1000 - 10 * 60
    if (crtTimestamp > wxConfig.timestamp) getWxConfig(url)
  }
  next()
})

export default router
